Subject: bug#18958: 25.0.50; auto-revert-mode reacts slowly even if using an event-driven backend

From: Dima Kogan <[email-masked]>
Date: Sat, 21 Feb 2015 14:38:24 -0800

Michael Albinus <[email-masked]> writes:

> Per default, I have enabled gfilenotify as notification library; it
> works also w/o problems.

Hi. I just tested auto-revert-mode with gfilenotify, and it does appear
to work. Thank you very much for merging those patches! Where available
I think it would be better for us to use inotify instead of gfilenotify,
however, because glib currently has a minimum 1-second delay:

 https://bugzilla.gnome.org/show_bug.cgi?id=739322

In a perfect world, this 1-second delay would be removed upstream, and
we'd use gfilenotify for everything. In the meantime, is gfilenotify
better in any way on Linux? If the notifications are unavailable for
some reason (network-mounted file for instance), then emacs simply
decays to the normal polled notifications, right?